commit 3fd9e4742a943d358d326afbba90a807ef5f374f
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Sat Jul 1 02:22:01 2023

    Daily bump.

diff --git a/gcc/ChangeLog b/gcc/ChangeLog
index fac7bf6f173..619ad3f14e6 100644
--- a/gcc/ChangeLog
+++ b/gcc/ChangeLog
@@ -1,3 +1,11 @@
+2023-06-30  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gimple-fold.cc (fold_array_ctor_reference): Fix head comment.
+	(fold_nonarray_ctor_reference): Likewise.  Specifically deal
+	with integral bit-fields.
+	(fold_ctor_reference): Make sure that the constructor uses the
+	native storage order.
+
 2023-06-29  liuhongt  <hongtao.liu@intel.com>
 
 	PR rtl-optimization/110237
diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index e742d0ec698..41f22081742 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20230630
+20230701
diff --git a/gcc/testsuite/ChangeLog b/gcc/testsuite/ChangeLog
index 25926032b87..f5663000107 100644
--- a/gcc/testsuite/ChangeLog
+++ b/gcc/testsuite/ChangeLog
@@ -1,3 +1,10 @@
+2023-06-30  Eric Botcazou  <ebotcazou@adacore.com>
+
+	* gcc.c-torture/execute/20230630-1.c: New test.
+	* gcc.c-torture/execute/20230630-2.c: Likewise.
+	* gcc.c-torture/execute/20230630-3.c: Likewise
+	* gcc.c-torture/execute/20230630-4.c: Likewise
+
 2023-06-29  liuhongt  <hongtao.liu@intel.com>
 
 	* gcc.target/i386/pr110309.c: New test.

